Package org.apache.commons.compress.harmony.unpack200

# Class AttrDefinitionBands

java.lang.Object
org.apache.commons.compress.harmony.unpack200.BandSet
org.apache.commons.compress.harmony.unpack200.AttrDefinitionBands

public class AttrDefinitionBands extends BandSet
Attribute definition bands are the set of bands used to define extra attributes transmitted in the archive.

- ## Field Summary

  ### Fields inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `header, segment`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AttrDefinitionBands(Segment segment)`
  Constructs a new instance.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AttributeLayoutMap`
  `getAttributeDefinitionMap()`
  Gets the attribute layout map.
  `void`
  `read(InputStream in)`
  Reads the input stream.
  `void`
  `unpack()`
  Unpacks this instance.

  ### Methods inherited from class org.apache.commons.compress.harmony.unpack200.BandSet

  `decodeBandInt, decodeBandInt, getReferences, getReferences, parseCPClassReferences, parseCPDescriptorReferences, parseCPDoubleReferences, parseCPFieldRefReferences, parseCPFloatReferences, parseCPInterfaceMethodRefReferences, parseCPIntReferences, parseCPLongReferences, parseCPMethodRefReferences, parseCPSignatureReferences, parseCPSignatureReferences, parseCPStringReferences, parseCPUTF8References, parseCPUTF8References, parseFlags, parseFlags, parseFlags, parseFlags, parseReferences, parseReferences, unpack`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AttrDefinitionBands

    public AttrDefinitionBands(Segment segment)
    Constructs a new instance.
    Parameters:
      `segment` - the segment.

- ## Method Details

  - ### getAttributeDefinitionMap

    public AttributeLayoutMap getAttributeDefinitionMap()
    Gets the attribute layout map.
    Returns:
      the attribute layout map.

  - ### read

    public void read(InputStream in) throws IOException, Pack200Exception
    Description copied from class: `BandSet`
    Reads the input stream.
    Specified by:
      `read` in class `BandSet`
    Parameters:
      `in` - the stream to read.
    Throws:
      `IOException` - if a problem occurs during reading from the underlying stream.
      `Pack200Exception` - if a problem occurs with an unexpected value or unsupported Codec.

  - ### unpack

    public void unpack() throws Pack200Exception, IOException
    Description copied from class: `BandSet`
    Unpacks this instance.
    Specified by:
      `unpack` in class `BandSet`
    Throws:
      `Pack200Exception` - if a problem occurs with an unexpected value or unsupported Codec.
      `IOException` - if a problem occurs during reading from the underlying stream.